<!doctype html>
<html
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        layout:decorator="layouts/cms">
<head>
</head>
<body>
<th:block layout:fragment="sidebar" th:include="fragments/cms::sidebar('challenge')"/>
<th:block layout:fragment="navigation" th:include="fragments/cms::navigation('Challenges')"/>

<div layout:fragment="content" class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card card-plain">
                    <div class="content table-responsive table-full-width">

                        <table class="table table-hover">
                            <thead>
                            <th>User</th>
                            <th>Type</th>
                            <th>Status</th>
                            <th>Score</th>
                            <th>Created</th>
                            <th></th>
                            </thead>
                            <tbody>
                            <tr th:each="challenge: ${list.content}" th:classappend="${ challenge.score != null ? 'scored' : 'not-scored' }">
                                <td th:text="${challenge.user.profile.fullName}"></td>
                                <td th:text="${challenge.context}"></td>
                                <td th:text="${challenge.score != null ? 'reviewd' : 'to be revied'}"></td>
                                <td th:text="${challenge.score}"></td>
                                <td th:text="${challenge.created}"></td>
                                <td style="text-align: right">
                                    <a th:href="${'/cms/challenge/' + challenge.id}" class="btn btn-info btn-fill">review</a>
                                </td>
                            </tr>
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>

            <div class="col-md-12">
                <nav th:if="${list.totalPages > 1}" aria-label="Page navigation example" class="pull-right">
                    <ul class="pagination">
                        <!--<li th:each="page : ${#numbers.sequence(pager.startPage, pager.endPage)}">-->
                        <!--<a class="pageLink" th:href="@{/(pageSize=${selectedPageSize}, page=${page})}"-->
                        <!--th:text="${page}"></a>-->
                        <!--</li>-->

                        <li th:classappend="${list.number == 0} ? disabled" class="page-item">
                            <a th:if="${list.number == 0}" class="pageLink" href="#">Previous</a>
                            <a th:if="${list.number gt 0}" class="pageLink"
                               th:href="@{/cms/challenge (page=${list.number - 1})}">Previous</a>
                        </li>

                        <li th:each="page : ${#numbers.sequence(pager.startPage, pager.endPage)}"
                            th:class="${list.number == (page - 1)} ? 'active pointer-disabled'">
                            <a class="pageLink" th:href="@{/cms/challenge(page=${page - 1})}"
                               th:text="${page}"></a>
                        </li>

                        <li th:classappend="${list.number == (list.totalPages - 1)} ? disabled" class="page-item">
                            <a th:if="${list.number == (list.totalPages - 1)}" class="pageLink" href="#">Next</a>
                            <a th:if="${list.number lt (list.totalPages - 1)}" class="pageLink"
                               th:href="@{/cms/challenge (page=${list.number + 1})}">Next</a>
                        </li>

                    </ul>
                </nav>
            </div>


        </div>
    </div>
</div>

</body>
</html>
